package com.eliasbalasis.tibcopagebus4gwt.testsubscriber.client;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class PersonRepository {
	private String name;
	private Collection persons = new ArrayList();

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @gwt.typeArgs <com.eliasbalasis.tibcopagebus4gwt.testsubscriber.client.Person>
	 */
	public Collection getPersons() {
		return persons;
	}

	/**
	 * @gwt.typeArgs persons <com.eliasbalasis.tibcopagebus4gwt.testsubscriber.client.Person>
	 */
	public void setPersons(Collection persons) {
		this.persons = persons;
	}

	public String toString() {
		String s = "Name = "+getName()+"\n";
		if (getPersons()!=null) {
			Iterator persons = getPersons().iterator();
			int index = 0;
			while (persons.hasNext()) {
				Person person = (Person)persons.next();
				++index;
				s += "Person "+String.valueOf(index)+"\n"+person.toString();
			}
		}
		return s;
	}

}
